Skip to content

List leads for an organization

GET
/organizations/{oid}/leads
curl --request GET \
--url https://apisandbox.puurk.com/organizations/example/leads \
--header 'Authorization: Bearer <token>'

Returns leads belonging to the specified organization

oid
required
string

Organization ID

cursor
string

Pagination cursor

limit
integer

Number of results to return

Successful operation

Media typeapplication/json
object
data
Array<object>
object
id
string
oid
string
eid
string
first_name
required
string
last_name
required
string
phone_number
string
email_address
string
pagination
object
limit

Maximum number of results returned

integer
hasMore

Whether more results are available

boolean
nextCursor

Cursor for the next page, or null if no more results

string
nullable
Example
{
"data": [
{
"id": "HaFjsdk2141811fasF",
"oid": "1249fDSZ6714ekjfFK",
"first_name": "Jane",
"last_name": "Doe",
"phone_number": "+1544123456",
"email_address": "janedoe@email.com"
}
]
}

Unauthorized